using System.Runtime.CompilerServices;
using AyCode.Entities.Users;

[assembly: InternalsVisibleTo("AyCode.Database.Tests")]
[assembly: InternalsVisibleTo("AyCode.Database.Tests.Users")]
[assembly: InternalsVisibleTo("AyCode.Database.Tests.Users.Internals")]
[assembly: InternalsVisibleTo("AyCode.Database.Tests.Users.Internals.UserDbContext")]

namespace AyCode.Core.Tests.Internal.Entities;


public class User : AcUser<Profile, Company, UserToCompany, Address>
{
    public User() { }
    public User(string email, string password) : this(Guid.NewGuid(), email, password) { }
    public User(Guid id, string email, string password) : base(id, email, password)
    { }
    public User(Guid id, string email, string phoneNumber, string password) : base(id, email, phoneNumber, password)
    { }
    public User(Guid id, string email, string phoneNumber, string password, string refreshToken) : base(id, email, phoneNumber, password, refreshToken)
    { }
}